summaryrefslogtreecommitdiff
path: root/qa/008
diff options
context:
space:
mode:
authorIgor Pashev <pashev.igor@gmail.com>2014-10-26 12:33:50 +0400
committerIgor Pashev <pashev.igor@gmail.com>2014-10-26 12:33:50 +0400
commit47e6e7c84f008a53061e661f31ae96629bc694ef (patch)
tree648a07f3b5b9d67ce19b0fd72e8caa1175c98f1a /qa/008
downloadpcp-47e6e7c84f008a53061e661f31ae96629bc694ef.tar.gz
Debian 3.9.10debian/3.9.10debian
Diffstat (limited to 'qa/008')
-rwxr-xr-xqa/00856
1 files changed, 56 insertions, 0 deletions
diff --git a/qa/008 b/qa/008
new file mode 100755
index 0000000..51d221c
--- /dev/null
+++ b/qa/008
@@ -0,0 +1,56 @@
+#! /bin/sh
+# PCP QA Test No. 008
+# exercise disk statistics on localhost
+#
+# Copyright (c) 1995-2002 Silicon Graphics, Inc. All Rights Reserved.
+#
+# NOTE
+# This test depends on the the local hostname and the disk configuration.
+# To generate a new validated output file ...
+# $ touch 008.out.`hostname | sed -e 's/\..*//'`
+# $ ./remake 008
+# $ mv 008.out 008.out.`hostname | sed -e 's/\..*//'`
+# and check that the comments and the output match up.
+#
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+# get standard filters
+. ./common.product
+. ./common.filter
+. ./common.check
+
+# need per-host checked in results
+#
+host=`hostname | sed -e 's/\..*//'`
+rm -f $seq.out
+case $host
+in
+ bozo)
+ # sdc comes and goes
+ if pmprobe -I disk.dev.total | grep sdc >/dev/null
+ then
+ ln $seq.out.bozo+sdc $seq.out
+ else
+ ln $seq.out.bozo $seq.out
+ fi
+ ;;
+ *)
+ [ -f $seq.out.$host ] || \
+ _notrun "No qualified results file ($seq.out.$host) for the localhost"
+ ln $seq.out.$host $seq.out
+ ;;
+esac
+
+trap "rm -f $tmp.*; exit" 0 1 2 3 15
+
+PMCD_CONNECT_TIMEOUT=60
+PMCD_REQUEST_TIMEOUT=60
+export PMCD_CONNECT_TIMEOUT PMCD_REQUEST_TIMEOUT
+
+src/disk_test \
+| sed \
+ -e '/pmResult/s/ .* numpmid/ ... numpmid/' \
+ -e '/ value /s/ value .*/ value .../'
+